GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
Get Return StatusGET
View and Track ReturnsGET
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

GST Return Processing Status

GEThttps://apisandbox.whitebooks.in/gstr/retstatus

Get the status of the Returns submitted

Parameters

query parameters
gstinstringrequired
GSTIN of the taxpayer
returnperiodstringrequired
Return Period
refidstringrequired
Reference ID
emailstringrequired
Email
header parameters
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP GET to /gstr/retstatus. Required parameters: gstin (query parameter), returnperiod (query parameter), refid (query parameter), email (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.
For Get Return Status (GET /gstr/retstatus), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Get the status of the Returns submitted
GET/gstr/retstatus
1const response = await fetch('https://apisandbox.whitebooks.in/gstr/retstatus?gstin=value&returnperiod=value&refid=value&email=value', {
2 method: 'GET',
3 headers: {
4 gst_username: "value",
5 state_cd: "value",
6 ip_address: "value",
7 txn: "value",
8 client_id: "value",
9 client_secret: "value"
10},
11});
12
13const data = await response.json();
14console.log(data);
No example available.